Bug 141559 - Add Clear Standard Filter to Autofilter widget
Summary: Add Clear Standard Filter to Autofilter widget
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.2.0 inReleaseNotes
Keywords:
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2021-04-08 10:30 UTC by Roman Kuznetsov
Modified: 2021-12-15 00:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Simple mockup (73.43 KB, image/jpeg)
2021-04-08 10:30 UTC, Roman Kuznetsov
Details
Example file with Standard filter set (7.66 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-04-12 08:49 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2021-04-08 10:30:24 UTC
Description:
RFE: Open a Standard filter as widget from Autofilter

Today we have Standard filter item in Autofilter. But if we click on it, then it opens a Standard filter dialog.

An idea is to open the Standard filter dialog as interactive widget from Autofilter. It allows set up a difficult filtering easier. 

And we should fix another problem there: today when you enable Standard filter options for a cell range with Autofilter, then you can't drop those options from Autofilter, you should open the Standard filter dialog again and drop filter options only there. It should be fixed

Steps to Reproduce:
-

Actual Results:
We have a different Standard filter dialog

Expected Results:
We have a nice Standard filter widget for Autofilter


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Roman Kuznetsov 2021-04-08 10:30:56 UTC
Created attachment 171030 [details]
Simple mockup
Comment 2 Roman Kuznetsov 2021-04-08 10:33:16 UTC
NISZ peolpe, you made many nice things for Autofilter improve. What do you think about this enhancement?

UX-team, we need your opinion too of course.
Comment 3 Heiko Tietze 2021-04-09 12:54:09 UTC
The standard filter is a (modal) dialog not a floating widget. And I don't see the need other than you want to peek into this function and want to get back without closing the autofilter widget.
Comment 4 NISZ LibreOffice Team 2021-04-12 08:45:27 UTC
(In reply to Roman Kuznetsov from comment #0)
> And we should fix another problem there: today when you enable Standard
> filter options for a cell range with Autofilter, then you can't drop those
> options from Autofilter, you should open the Standard filter dialog again
> and drop filter options only there. It should be fixed
> 

Excel has a "Delete filter (Place: $filteredcolumn)" menu item in the Autofilter dropdown that can remove standard filter conditions and autofilter conditions too. 
We don't have a similar menu item (Turning on/off the All item has no effect on Standard filter conditions). I see this as a valid request.

Standard filter IMHO is fine as a separate dialog, it's a complicated feature for a floating widget and currently mimicks just fine what our users could expect (= Excel-behavior).
Comment 5 NISZ LibreOffice Team 2021-04-12 08:49:44 UTC
Created attachment 171115 [details]
Example file with Standard filter set

This file has Standard filter set on the column A to items containing the letter "a".
This condition can not be removed from the Autofilter dropdown, only from the Standard filter dialog.

How about refocusing this report to the addition of "Delete filter" menu item?
Comment 6 Roman Kuznetsov 2021-04-12 10:15:17 UTC
(In reply to NISZ LibreOffice Team from comment #5)
 
> How about refocusing this report to the addition of "Delete filter" menu
> item?

It's possibly
Comment 7 Heiko Tietze 2021-04-15 07:26:36 UTC
Good idea. Let's add a button "Clear Standard Filter", ideally disabled when none is applied.
Comment 8 Commit Notification 2021-05-22 10:29:44 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/451b9802dd708e646273839829845800e13db47e

tdf#141559 sc UI: add Clear Filter to Autofilter widget

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 BogdanB 2021-06-03 18:33:01 UTC
The button is "Clear filter", not "Clear Standard Filter" like in comment 7, but it is here. So it is fixed. Thanks for this improvment.

Verified in
Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: f49e5902a3737c02fabf5bec23243ccb126426c4
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded